
%global meadversion 1.0.9
%global namedversion 1.0.9.SP03-redhat-00001
%global meadalpha .SP03_redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_without mead

%define eap7_homedir %{_datadir}/wildfly


%{?scl:%scl_package wildfly-openssl-linux-x86_64}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.9.SP03-redhat-00001

Name:           %{?scl_prefix}wildfly-openssl-linux-x86_64
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Generic OpenSSL bindings
Group:          Development/Java

%if %with mead
Source100: wildfly-openssl-linux-x86_64-1.0.9.SP03-redhat-00001-project-sources.tar.gz
Source102: wildfly-openssl-linux-x86_64-1.0.9.SP03-redhat-00001-scm-sources.zip
Source103: wildfly-openssl-linux-x86_64-1.0.9.SP03-redhat-00001.pom
Source104: wildfly-openssl-linux-x86_64-1.0.9.SP03-redhat-00001.jar
%endif

License:        ASL 2.0
URL:            https://github.com/wildfly/wildfly-openssl
BuildRequires:  unzip
Provides:       %{?scl_prefix}wildfly-openssl-linux = %{epoch}:%{version}-%{release}
Obsoletes:      %{?scl_prefix}wildfly-openssl-linux < 0:1.0.8
Obsoletes:      %{?scl_prefix}wildfly-openssl-linux-debuginfo < 0:1.0.8
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%prep
%setup -q -n wildfly-openssl-linux-x86_64-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{eap7_homedir}/modules/system/layers/base/org/wildfly/openssl/main/lib
%{__unzip} -d %{buildroot}%{eap7_homedir}/modules/system/layers/base/org/wildfly/openssl/main/lib -qqo %{_sourcedir}/wildfly-openssl-linux-x86_64-%{namedversion}.jar %{_os}-%{_build_arch}/libwfssl.so
find %{buildroot}%{eap7_homedir} -type d | xargs %{__chmod} 775
find %{buildroot}%{eap7_homedir} -type f -name "*.so" | xargs %{__chmod} 775

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{eap7_homedir}/modules/system/layers/base/org/wildfly/openssl/main/lib/linux-*

%changelog
* Wed Feb 12 2020 Permaine Cheung <pcheung@redhat.com> - 1.0.9-2.SP03_redhat_00001.1
- 1.0.9.SP3-redhat-00001

* Mon Feb 03 2020 Permaine Cheung <pcheung@redhat.com> - 1.0.9-1.SP02_redhat_00001.1
- 1.0.9.SP2-redhat-00001

* Mon Nov 18 2019 Permaine Cheung <pcheung@redhat.com> - 1.0.8-5.Final_redhat_00001.1
- Add Obsoletes for debuginfo

* Fri Oct 25 2019 Permaine Cheung <pcheung@redhat.com> - 1.0.8-4.Final_redhat_00001.1
- Fix eap7 homedir

* Fri Oct 25 2019 Permaine Cheung <pcheung@redhat.com> - 1.0.8-3.Final_redhat_00001.1
- Fix eap7 homedir

* Fri Oct 25 2019 Permaine Cheung <pcheung@redhat.com> - 1.0.8-2.Final_redhat_00001.1
- Add Obsoletes and Provides

* Thu Oct 24 2019 Permaine Cheung <pcheung@redhat.com> - 1.0.8-1.Final_redhat_00001.1
- 1.0.8.Final-redhat-00001
